首页 > 技术 > 为eclipse安装pydev不要使用zip包安装

为eclipse安装pydev不要使用zip包安装

2009年3月11日

pydev是一个为eclipse提供python环境的插件,它的安装文档中说可以用eclipse本身的update装,也可以直接解zip包安装。

实际使用中发现用zip包解压安装的在auto complete上有问题,会把 __name__ , True 等builtin的名称识别为 undefined variable,而且基本什么auto complete也出不来。从auto complete的log上来看,有形如这样的错误:

Error creating python process – exited before creating sockets - exitValue = (1)(/usr/bin/python2.4/tmp/eclipse-config/org.eclipse.osgi/bundles/650/1/.cp/PySrc/pycompletionserver.py)

现在查到了原因是直接用zip包安装的文件格式不对,所以装的时候还是用help -> software update的方法装吧,如果已经出这个问题了,就卸掉重装吧。。。

参考地址:http://pydev.blogspot.com/2009/03/pydev-zip-distribution-problem.html

技术

  1. 目前还没有任何评论.
  1. 目前还没有任何 trackbacks 和 pingbacks.